

export const tableList: any[] = [
  {
    businessId: 1,
    name : "参数测试1",
    describe : "说明文档",
    type : "数值类",
    ParameterValues : "12",
  },

]
export const configData: any[] = [
  {
    config: 'table_a',
    type: '数据表类',
    describe: '-',
    value: 'blood_relation_ctas',
  },
  {
    config: 'column_a',
    type: '数据字段类',
    describe: '-',
    value: 'mysql_idc_sample0.id',
  },
  {
    config: 'args',
    type: '全局参数类',
    describe: '-',
    value: 'check_date',
  },
];
export const TreeData: any[] = [
  {
    businessId: 100,
    QualityName: '内置模版',
    anotherName: '内置模版',
    parentId: 0,
    location: '/内置模版',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    businessId: 101,
    QualityName: '非空',
    anotherName: '非空',
    parentId: 100,
    ancestors: '0,100',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    businessId: 102,
    QualityName: '长度检测',
    anotherName: '长度检测',
    parentId: 100,
    ancestors: '0,100',
    location: '/内置模版/长度检测',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    businessId: 103,
    QualityName: '关键字',
    anotherName: '关键字',
    parentId: 100,
    ancestors: '0,100',
    location: '/内置模版/关键字',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    businessId: 201,
    QualityName: '',
    anotherName: '',
    parentId: 101,
    ancestors: '0,100,102',
    icon: 'ant-design:partition-outlined',
  },
  {
    businessId: 202,
    QualityName: '',
    anotherName: '',
    parentId: 102,
    ancestors: '0,100,102',
    icon: 'ant-design:partition-outlined',
  },
  {
    businessId: 202,
    QualityName: '',
    anotherName: '',
    parentId: 103,
    ancestors: '0,100,102',

    icon: 'ant-design:partition-outlined',
  },
  {
    businessId: 204,
    QualityName: '主键编号唯一',
    anotherName: '主键编号唯一',
    parentId: 100,
    ancestors: '0,100,101',
    icon: 'ant-design:partition-outlined',
  },
  {
    businessId: 204,
    QualityName: '日期逻辑',
    anotherName: '日期逻辑',
    parentId: 100,
    ancestors: '0,100,101',
    icon: 'ant-design:partition-outlined',
  },
];

export const configurationTableList: any[] = [
  {
    businessId: 1,
    name: '值域检查(数值大于零)',
    dataSource: [
      { icon: '🧩', text: 'INCEPTOR' },
      { icon: '🧩', text: 'GBASE' },
    ],
    templateNumber: 'BIDQ000041',
    createTime: '2023/05/23 14:36:04',
    updateTime: '2023/05/23 14:36:05',
    owner: 'admin',
    workgroup: '默认工作组',
    description: '这是模板描述',
    category: '规范性',
    sql:
      'SELECT COUNT(*)\n' +
      'FROM $(table a}\n' +
      'WHERE ${column a}IS NOT NULL AND ${column a}NOT IN (${range a})',
    params: [
      {
        key: '1',
        parameter: 'table_a',
        type: '数据表类',
        description: '数据表',
        value: '默认工作组/数据库a/数据表a',
      },
      {
        key: '2',
        parameter: 'column_a',
        type: '数据字段类',
        description: '数据字段',
        value: '默认工作组/数据库a/数据表a/字段a',
      },
      {
        key: '3',
        parameter: 'range_a',
        type: '公共代码类',
        description: '值域',
        value: '公共代码/数据范围a',
      },
    ],
  },

];
