import { TreeItem } from '@/components/Tree';

export const treeData: TreeItem[] = [
  {
    title: '数据库对象资源',
    key: '0-0',
    children: [
      { title: 'ArgoDB_Dev01', key: '0-0-0' },
      { title: 'ArgoDB_Gov01', key: '0-0-1' },
      { title: 'ArgoDB_Sev01', key: '0-0-2' },
      { title: 'MySQL_Public', key: '0-0-3' },
    ],
  },
];
export const treeData1: TreeItem[] = [
  {
    title: '全部规则组',
    key: '0-0',
    children: [
      { title: 'tyh', key: '0-0-0', icon: 'ion:folder-outline' },
      { title: '毕业生-mob', key: '0-0-1', icon: 'ion:folder-outline' },
      { title: '毕业生-moca', key: '0-0-2', icon: 'ion:folder-outline' },
      { title: '毕业生-moe', key: '0-0-3', icon: 'ion:folder-outline' },
      { title: '毕业生-test', key: '0-0-4', icon: 'ion:folder-outline' },
      { title: '毕业生-普通表', key: '0-0-5', icon: 'ion:folder-outline' },
      { title: '毕业生-主体', key: '0-0-6', icon: 'ion:folder-outline' },
      { title: '谭永辉', key: '0-0-7', icon: 'ion:folder-outline' },
      { title: '唯一性', key: '0-0-8', icon: 'ion:folder-outline' },
      { title: '未分组规则', key: '0-0-9', icon: 'ion:folder-outline' },
    ],
  },
];
export const treeData2: TreeItem[] = [
  {
    title: '质量主体',
    key: '0-0',
    children: [
      { title: 'ArgoDB_Dev01', key: '0-0-0' },
      { title: 'ArgoDB_Gov01', key: '0-0-1' },
      { title: 'ArgoDB_Sev01', key: '0-0-2' },
      { title: 'MySQL_Public', key: '0-0-3' },
    ],
  },
];
export const ruleData: any[] = [
  {
    businessId: 1,
    rule: 'identity公用规则',
    dataSource: 'ArgoDB_Gov01',
    catalog: null,
    database: 'dmp01',
    dataTable: 'landing_graduat',
    field: 'identity',
    model: '公民身份号码',
    group: 'landing',
    dimension: '规范性',
  },
  {
    businessId: 2,
    rule: 'identity公用规则',
    dataSource: 'ArgoDB_Gov01',
    catalog: null,
    database: 'dmp01',
    dataTable: 'landing_lowinc',
    field: 'identity',
    model: '公民身份号码',
    group: 'landing',
    dimension: '规范性',
  },
];
export const configData: any[] = [
  {
    config: 'table_a',
    type: '主体类',
    describe: null,
    value: '毕业生',
  },
  {
    config: 'column_a',
    type: '主体字段类',
    describe: null,
    value: 'is_full_time',
  },
];
export const taskData: any[] = null;
export const ruleMoreAddData: any[] = [
  {
    title: '数据库对象资源',
    key: '0-0',
    children: [
      {
        title: 'ArgoDB_Dev01',
        key: '0-0-0',
        icon: 'ant-design:table-outlined',
        children: [
          {
            title: '表',
            key: '0-0-0-0',
            icon: 'ant-design:table-outlined',
            children: [
              {
                title: 'city',
                key: '0-0-0-0-0',
                icon: 'ant-design:table-outlined',
                children: [
                  { title: 'id', key: '0-0-0-0-0-0', icon: 'ant-design:insert-row-left-outlined' },
                  {
                    title: 'coumtry',
                    key: '0-0-0-0-0-1',
                    icon: 'ant-design:insert-row-left-outlined',
                  },
                  {
                    title: 'brief',
                    key: '0-0-0-0-0-2',
                    icon: 'ant-design:insert-row-left-outlined',
                  },
                  {
                    title: 'NumOfCities',
                    key: '0-0-0-0-0-3',
                    icon: 'ant-design:insert-row-left-outlined',
                  },
                  {
                    title: 'capital',
                    key: '0-0-0-0-0-4',
                    icon: 'ant-design:insert-row-left-outlined',
                  },
                ],
              },
              {
                title: 'mysql_ince_dm0',
                key: '0-0-0-0-1',
                icon: 'ant-design:table-outlined',
                children: [],
              },
              {
                title: 'mysql_ince_dm1',
                key: '0-0-0-0-2',
                icon: 'ant-design:table-outlined',
                children: [],
              },
              {
                title: 'mysql_ince_dm10',
                key: '0-0-0-0-3',
                icon: 'ant-design:table-outlined',
                children: [],
              },
              {
                title: 'mysql_ince_dm100',
                key: '0-0-0-0-4',
                icon: 'ant-design:table-outlined',
                children: [],
              },
            ],
          },
        ],
      },
      { title: 'ArgoDB_Gov01', key: '0-0-1', icon: 'ant-design:table-outlined' },
      { title: 'ArgoDB_Sev01', key: '0-0-2', icon: 'ant-design:table-outlined' },
      { title: 'MySQL_Public', key: '0-0-3', icon: 'ant-design:table-outlined' },
    ],
  },
];
export const modelList: any[] = [
  {
    name: '长度检查[0,30]',
  },
  {
    name: '关键字检查（非空）',
  },
];
export const ruleMoreData = [
  {
    ruleName: 'id关键字检查(.．',
    dataSource: '014mysql',
    catalog: '',
    database: 'bc_test',
    dataTable: 'city',
    field: 'id',
    model: '关键字检查(非空)',
    ruleGroup: '测试',
    config: 'table_a = city,co...',
  },
  {
    ruleName: 'country长度..',
    dataSource: '014mysql',
    catalog: '',
    database: 'bc_test',
    dataTable: 'city',
    field: 'country',
    model: '长度检查[0,30]',
    ruleGroup: '测试',
    config: 'table_a = city,co...',
  },
  {
    ruleName: '目id长度检查[0...',
    dataSource: '014mysql',
    catalog: '',
    database: 'bc_test',
    dataTable: 'city',
    field: 'id',
    model: '长度检查[0,30]',
    ruleGroup: '测试',
    config: 'table_a = city,co...',
  },
  {
    ruleName: 'country关键...',
    dataSource: '014mysql',
    catalog: '',
    database: 'bc_test',
    dataTable: 'city',
    field: 'country',
    model: '关键字检查(非空)',
    ruleGroup: '测试',
    config: 'table_a = city,co...',
  },
];
export const rangeTreeData = [
  {
    title: '默认工作组',
    icon: 'ant-design:team-outlined',
    key: '0-0',
    children: [],
  },
];
export const ruleGroupEditData = [
  {
    name: 'tyh',
    group: '',
  },
  {
    name: '毕业生-mob',
    group: '',
  },
  {
    name: '毕业生-moca',
    group: '',
  },
  {
    name: '毕业生-moe',
    group: '',
  },
  {
    name: '毕业生-test',
    group: '',
  },
  {
    name: '毕业生-普通表',
    group: '',
  },
  {
    name: '毕业生-主体',
    group: '',
  },
  {
    name: '谭',
    group: '',
  },
  {
    name: '唯一性',
    group: '',
  },
];
export const versionModelList = [
  {
    version: 'V2',
    time: '2022/10/27 18:53:43',
    created: 'admin',
    describe: 'batch create version',
  },
  {
    version: 'V1',
    time: '2022/10/27 18:17:37',
    created: 'admin',
    describe: 'batch create version',
  },
];
